Bug 411471 - Review Request: WebKitGtk - GTK+ Web Content Engine
Review Request: WebKitGtk - GTK+ Web Content Engine
Status: CLOSED DUPLICATE of bug 415211
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-04 22:55 EST by Peter Gordon
Modified: 2007-12-07 08:47 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-06 19:39:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Gordon 2007-12-04 22:55:13 EST
Spec URL: http://pgordon.fedorapeople.org/for-review/WebKitGtk.spec
SRPM URL: http://pgordon.fedorapeople.org/for-review/WebKitGtk-1.0.0-0.1.svn28383.src.rpm

Description: WebKit is an open source web browser engine. This package contains the GTK+ port.

Note that even though both the Qt and GTK+ ports come from the same source tarball, upstream has advised me that they are not intended to be built together. (Indeed, attempting to do so causes quite catastrophic linking errs due to multiple symbol definitions, etc.)

rpmlint also has some small complaints:

> WebKitGtk-devel.x86_64: E: only-non-binary-in-usr-lib
This is ignorable, as the devel subpackage contains only the DSO symlink, header files, and some other build data (such as a pkgconfig file). 

> WebKitGtk.x86_64: W: no-documentation
> WebKitGtk-devel.x86_64: W: no-documentation
This is also ignorable. Currently, upstream does not ship anything which would be appropriate documentation. I've filed upstream bug #16300 to inquire about shipping a LICENSE file or similar.
Comment 1 Rudolf Kastl 2007-12-06 11:48:53 EST
actually i am building it in one package quite fine since a while now. i will
show you how. btw why are you using that script at all to build when you can
directly invoke qmake?

install -d build-gtk
pushd build-gtk

qmake-qt4 -r OUTPUT_DIR="$PWD" QMAKE_STRIP=/bin/true QMAKE_RPATH=
QMAKE_CFLAGS="%{optflags}" QMAKE_CXXFLAGS="%{optflags}" VERSION=%{version}
CONFIG-=qt-port CONFIG+=gtk-port WEBKIT_INC_DIR=%{_includedir}/WebKit
WEBKIT_LIB_DIR=%{_libdir} ../WebKit.pro

make
popd


install -d build-qt
pushd build-qt

qmake-qt4 -r OUTPUT_DIR="$PWD" QMAKE_STRIP=/bin/true QMAKE_RPATH=
QMAKE_CFLAGS="%optflags" QMAKE_CXXFLAGS="%optflags" VERSION=%{version}
CONFIG+=qt-port WEBKIT_INC_DIR=%{_includedir}/WebKit WEBKIT_LIB_DIR=%{_libdir}
../WebKit.pro

make
popd

##thats for the build section and below there is the install section that wfm:

 rm -rf $RPM_BUILD_ROOT

make -C build-gtk install INSTALL_ROOT=$RPM_BUILD_ROOT
install -d %{buildroot}%{_libdir}/%{name}
install -m 755 build-gtk/WebKitTools/GtkLauncher/GtkLauncher
%{buildroot}%{_libdir}/WebKit

make -C build-qt install INSTALL_ROOT=$RPM_BUILD_ROOT
install -d %{buildroot}%{_libdir}/WebKit
install -m 755 build-qt/bin/QtLauncher $RPM_BUILD_ROOT%{_libdir}/%{name}
install -m 755
build-qt/WebKitTools/DumpRenderTree/DumpRenderTree.qtproj/DumpRenderTree
$RPM_BUILD_ROOT%{_libdir}/WebKit
Comment 2 Rudolf Kastl 2007-12-06 11:50:21 EST
the above stuff was just hacked together in a few minutes and of course it can
be prettyfied more.
Comment 3 Peter Gordon 2007-12-06 17:05:56 EST
Yeah, I had seen that in the Debian packaging and attempted to do something
similar, but the install step always failed due to the build not being put in
the proper location.

I will try what you have posted and create a package which includes both.

Thanks!
Comment 4 Peter Gordon 2007-12-06 19:39:46 EST
Okay, I've got it working building both at once. Now I'll just clean up the spec
a bit and make it use proper subpackages/etc. I'll post a new review request for
that when it's complete (should be very shortly). 

Thanks!
Comment 5 Peter Gordon 2007-12-06 23:27:15 EST
Package renamed to WebKit; so marking this as a duplicate of that new review
request.

*** This bug has been marked as a duplicate of 415211 ***

Note You need to log in before you can comment on or make changes to this bug.